NAME
	dragon  -  International (10x10) draughts.

SYNOPSIS
	dragon [-pdn <pdnoptions>] [-in <dcpfile>] [-nocolor] [-quit]
	[-settime <seconds>] [-mycolor <color>]

DESCRIPTION
	Dragon plays international draughts. It has a simple
	colour-terminal based display, or it can be used with
	the xboard.draughts program to provide a graphical
	interface. The typical user is encouraged to use
	latter interface, as the text based version is mainly
	to be used as a user-unfriendly developpers version
	with lots of commands you don't want to know about.
	If you use Xwindows there is no need to read this manual.

LEGAL MOVES
	Moves can be entered with the 'do' or the 'play' command.
	Examples: 'do 33-28', 'play 1-50' You don't need to use a 'x' for
	captures. Fields are numbered from 1 for the upper-left
	corner to 50 for the down-right corner. After the 'play'
	command the computer responds automatically.

RULES
	International draughts has the following properties:

	-	Captures are forced; if possible you must capture as
		many pieces as possible.

	-	Man may move only forward; however they are allowed
		to capture backwards.

	-	A man promotes to king (crown) only if at the end of
		a move it is on the promotion row.

	-	If one can not do a legal move he loses.

OPTIONS
	-nocolor
		Don't use the ansi color codes.

	-v	show version number.

	-dir	The directory where dragon finds its files. These
		include: 'endings', 'database', 'pdn'. NOT supported.

	-settime <seconds>
		Set time in seconds for the first 65 moves.

	-mycolor <color>
		Initial colour that dragon plays. Either 0 or 1.

	Other options exist but are not documented.

COMMANDS
	At the dragon prompt the following commands are
	allowed.

	<color> indicates either '0' for white or '1' for black.
	Time is always in seconds.

	do <move>  -- does a move.

	go <color> <time> -- computer does a move. If <time> is 0 an
	infinite time is used. You can terminate search with control-C.

	seed <n> -- initialize random generator if you want a different
	opening each time you play.

	back -- take back last move

	mback <n> -- take back last n moves.

	write_pdn <file> -- write game to disk in PDN format.

	history 0 -- show game.

	bd -- redraw board

	help -- show available commands.

	quit -- quit

	initboard -- give the initial position.

	get <file> -- read a board position. Look at example.dcp for
	an example.

	saveboard <color> <file> -- write a board position.

	play <move> -- do a move, computer responds. 'Time' and
	 'mycolor' must be set properly to produce a useful result.

	Other commands exist but are not documented.

EXAMPLES
	This example is valid for dragon without the X interface.
	
	To play a game with five minutes time control. You play
	white.

	# dragon -settime 300 -mycolor 1

	Dragon will start up. You can now enter moves:

	dragon> play 32-28

	Dragon will respond. After the game is done you
	can write the game to disk with:

	dragon> write_pdn mygame.pdn

	and quit:
	
	dragon> quit

	You can continue the game with:

	# dragon -mycolor 1 -settime 300 -pdn mygame.pdn -4 0 40 1

SEE ALSO
	xboard(6)

NOTES
	The amount of hashtables, openingbook, patterns and endgame
	databases has been reduced for this version to keep it small
	and let it run on machines with small memories.













